package cn.com.qmth.examcloud.exchange.inner.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.exchange.inner.api.SendSmsCloudService;
import cn.com.qmth.examcloud.exchange.inner.api.request.CheckSmsCodeReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsReq;
import cn.com.qmth.examcloud.exchange.inner.api.response.CheckIdentifyingCodeResp;
import cn.com.qmth.examcloud.exchange.inner.api.response.SendSmsResp;

/**
 * 
 * @author  	chenken
 * @date    	2018年7月3日 下午4:01:56
 * @company 	QMTH
 * @description SendSmsServiceClient.java
 */
@Service
public class SendSmsServiceClient extends BasicCloudClientSupport implements SendSmsCloudService {

	private static final long serialVersionUID = -2880611326177571371L;

	@Autowired
	RestTemplate restTemplate;

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public SendSmsResp sendIdentifyingCode(SendSmsReq sendSmsReq) {
		return post("/sendSms/sendIdentifyingCode", sendSmsReq, SendSmsResp.class);
	}

	@Override
	public CheckIdentifyingCodeResp checkIdentifyingCode(CheckSmsCodeReq checkSmsCodeReq) {
		return post("/sendSms/checkIdentifyingCode", checkSmsCodeReq, CheckIdentifyingCodeResp.class);
	}
}
