package cn.com.qmth.examcloud.exchange.outer.api.provider;

import javax.servlet.http.HttpServletRequest;

import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.security.bean.User;
import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.exchange.base.exception.SaveExamException;
import cn.com.qmth.examcloud.exchange.base.response.FailureBaseResponse;
import cn.com.qmth.examcloud.exchange.base.response.SuccessBaseResponse;
import cn.com.qmth.examcloud.exchange.dao.bean.ExamReq;
import cn.com.qmth.examcloud.exchange.dao.bean.OutletExam;
import cn.com.qmth.examcloud.exchange.outer.service.ExamService;

/**
 * @author  	chenken
 * @date    	2018年5月7日 下午3:20:33
 * @company 	QMTH
 * @description ExamController.java
 */
@RestController
@RequestMapping("${$rmp.cloud.exchange.outer}/exam")
public class ExamController  extends ControllerSupport{
	
    @Autowired
    private ExamService examService;
	
	@ApiOperation(value = "创建考试")
	@PostMapping
	public ResponseEntity<?> createExam(@RequestBody ExamReq examReq,HttpServletRequest request){
		User accessUser = getAccessUser();
		if(accessUser == null){
			return new ResponseEntity<FailureBaseResponse>(new FailureBaseResponse("请先登录"), HttpStatus.INTERNAL_SERVER_ERROR);
		}
		try {
			OutletExam exam = examService.createExam(examReq, accessUser.getUserToken(), accessUser.getRootOrgId());
			return new ResponseEntity<SuccessBaseResponse>(new SuccessBaseResponse("执行成功",exam), HttpStatus.OK);
		}catch(SaveExamException e){
			e.printStackTrace();
			return new ResponseEntity<FailureBaseResponse>(new FailureBaseResponse(e.getMessage()), HttpStatus.INTERNAL_SERVER_ERROR);
		} catch (Exception e) {
			e.printStackTrace();
			return new ResponseEntity<FailureBaseResponse>(new FailureBaseResponse("创建失败"), HttpStatus.INTERNAL_SERVER_ERROR);
		}
	}
	
}

