package cn.com.qmth.examcloud.exchange.outer.api.provider;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.common.dto.oe.marking.ExamPhotoVerifyData;
import cn.com.qmth.examcloud.commons.web.security.bean.User;
import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.exchange.base.response.FailureBaseResponse;
import cn.com.qmth.examcloud.exchange.base.response.SuccessBaseResponse;
import cn.com.qmth.examcloud.exchange.outer.service.client.OeClient;

/**
 * @author  	chenken
 * @date    	2018年5月7日 上午11:49:40
 * @company 	QMTH
 * @description ExamVerifyPhotoController.java
 */
@RestController
@RequestMapping("${$rmp.cloud.exchange.outer}/examVerifyPhotos")
public class ExamVerifyPhotoController  extends ControllerSupport{
	
	@Autowired
	private OeClient oeClient;
	
	@GetMapping
	public ResponseEntity<?> getExamVerifyPhotos(HttpServletRequest request,@RequestParam Long scoreId){
		User accessUser = getAccessUser();
		if(accessUser == null){
			return new ResponseEntity<FailureBaseResponse>(new FailureBaseResponse("请先登录"), HttpStatus.INTERNAL_SERVER_ERROR);
		}
		try{
			ExamPhotoVerifyData examPhotoVerifyData = oeClient.getExamPhotoVerifyData(accessUser.getUserToken(),scoreId);
			return new ResponseEntity<SuccessBaseResponse>(new SuccessBaseResponse("查询成功",examPhotoVerifyData), HttpStatus.OK);
		}catch(Exception e){
			e.printStackTrace();
			return new ResponseEntity<FailureBaseResponse>(new FailureBaseResponse("查询失败"), HttpStatus.INTERNAL_SERVER_ERROR);
		}
	}
	
}

