package cn.com.qmth.examcloud.exchange.outer.api.provider;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.security.bean.User;
import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.exchange.base.exception.SaveExamStudentException;
import cn.com.qmth.examcloud.exchange.base.response.FailureBaseResponse;
import cn.com.qmth.examcloud.exchange.base.response.SuccessBaseResponse;
import cn.com.qmth.examcloud.exchange.dao.bean.StudentInfoReq;
import cn.com.qmth.examcloud.exchange.outer.service.StudentInfoService;
/**
 * @author  	chenken
 * @date    	2018年5月7日 下午4:30:29
 * @company 	QMTH
 * @description StudentInfoController.java
 */
@RestController
@RequestMapping("${$rmp.cloud.exchange.outer}/studentInfo")
public class StudentInfoController extends ControllerSupport{
	
	@Autowired
	private StudentInfoService studentInfoService;
	
	@ApiOperation(value = "保存学生信息")
	@PostMapping
	public ResponseEntity<?> saveStudentInfo(@RequestBody List<StudentInfoReq> studentInfoReqs,HttpServletRequest request){
		User accessUser = getAccessUser();
        if(accessUser == null){
        	return new ResponseEntity<FailureBaseResponse>(new FailureBaseResponse("检测到用户为空,请先登录"), HttpStatus.INTERNAL_SERVER_ERROR);
        }
        try {
			studentInfoService.saveStudentInfo(studentInfoReqs, accessUser.getUserToken(), accessUser.getRootOrgId());
			return new ResponseEntity<SuccessBaseResponse>(new SuccessBaseResponse("创建成功",null),HttpStatus.OK);
		} catch (SaveExamStudentException e) {
			e.printStackTrace();
			return new ResponseEntity<FailureBaseResponse>(new FailureBaseResponse(e.getMessage()), HttpStatus.INTERNAL_SERVER_ERROR);
		} catch (Exception e) {
			e.printStackTrace();
			return new ResponseEntity<FailureBaseResponse>(new FailureBaseResponse("调用失败"), HttpStatus.INTERNAL_SERVER_ERROR);
		}
	}
	
}

